const sliceTime = (val) => {
    if (!val) { return ''; }
    let newTime = val.slice(0, 19).replace('T', ' ');
    return newTime
}
const ellipsis = (value) => {
    let len = value.length;
    if (!value) return ''
    if (value.length > 20) {
        return value.substring(0, 8) + '......' + value.substring(len - 8, len)
    }
    return value

}
const NoToChinese = (num) => {
    if (!/^\d*(\.\d*)?$/.test(num)) {
        alert("Number is wrong!");
        return "Number is wrong!";
    }
    var AA = new Array("零", "一", "二", "三", "四", "五", "六", "七", "八", "九");
    var BB = new Array("", "十", "百", "千", "万", "亿", "点", "");
    var a = ("" + num).replace(/(^0*)/g, "").split("."),
        k = 0,
        re = "";
    for (var i = a[0].length - 1; i >= 0; i--) {
        switch (k) {
            case 0:
                re = BB[7] + re;
                break;
            case 4:
                if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                    re = BB[4] + re;
                break;
            case 8:
                re = BB[5] + re;
                BB[7] = BB[5];
                k = 0;
                break;
        }
        if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
        if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re;
        k++;
    }
    if (a.length > 1) //加上小数部分(如果有小数部分) 
    {
        re += BB[6];
        for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
    }
    return re;
}
//富文本中的图片地址加上域名
const concatTIP = (value = '') => {
    if (!value) { return '' }
    return value.replace(/{host}/g, process.env.VUE_APP_BaseTIP)

}
//富文本中的图片地址去除域名
const clearTIP = (value = '') => {
    var b = /<img [^>]*src=['"]([^'"]+)[^>]*>/g;// img 标签取src里面内容的正则
    var s = String(value).match(b);// 取到所有img标签 放到数组 s里面
    if (s && s != null) {
        for (var i = 0; i < s.length; i++) {
            value = value.replace(new RegExp(process.env.VUE_APP_BaseTIP, 'g'), '{host}');
        }
    }
    return value
}
export {
    sliceTime,
    ellipsis,
    NoToChinese,
    concatTIP,
    clearTIP
}